(*
        lbg[N]xOt <DuGraph> (About.pas)
            Copyright (C) 2002-04 IGJ-HMC, all rights reserved.
*)

unit About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ShellAPI{ShellExecute};

type
  TAboutForm = class(TForm)
    Bevel1: TBevel;
    OKBtn: TButton;
    IconImage: TImage;
    MailLabel: TLabel;
    URLLabel: TLabel;
    procedure FormShow(Sender: TObject);
    procedure LinkLabelClick(Sender: TObject);
  private
    { Private 錾 }
  public
    { Public 錾 }
  end;

var
  AboutForm: TAboutForm;

implementation

uses Main;

{$R *.DFM}

procedure TAboutForm.FormShow(Sender: TObject);
  procedure ReplaceProviderName(l: TLabel);
  begin
    l.Caption := StringReplace(l.Caption, 'Ղ', 'plala', []);
  end;

begin
  // ECX΍
  ReplaceProviderName(MailLabel);
  ReplaceProviderName(URLLabel);

  IconImage.Picture.Icon.Assign(Application.Icon);
end;

procedure TAboutForm.LinkLabelClick(Sender: TObject);
var
  s: String;
begin
  s := TLabel(Sender).Caption;
  if Sender = MailLabel then s := 'mailto:' + s;
  ShellExecute(Handle, 'open', PChar(s), nil, nil, 0);
end;

end.

